<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_catatan', function (Blueprint $table) {
            $table->id('DatasetCatatanId');
            $table->integer('dataset_id');
            $table->string('type')->nullable(); //dataset, dataset tambahan
            $table->text('catatan')->nullable();
            $table->integer('status')->default(0);
            $table->timestampsTz();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_catatan');
    }
};
